| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IHistogramSvc Class Referenceabstract

Definition of the IHistogramSvc interface class. More...

`#include <GaudiKernel/IHistogramSvc.h>`

Inheritance diagram for IHistogramSvc:
[legend]
Collaboration diagram for IHistogramSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IHistogramSvc, 5, 0)
| InterfaceID. More...
virtual AIDA::IHistogramFactory * | histogramFactory ()=0
| Retrieve the AIDA HistogramFactory interface. More...
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
| Book histogram and register it with the histogram data store. More...
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual StatusCode | registerObject (const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (const std::string &parentPath, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (const std::string &parentPath, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (DataObject *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (DataObject *parentObj, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, const std::string &objectPath)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, int item)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual std::ostream & | print (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
virtual std::ostream & | write (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
| Write (ASCII) the histogram table into the output stream. More...
virtual int | write (AIDA::IBaseHistogram *h, const char *file_name) const =0
| Write (ASCII) the histogram table into a file. More...
virtual DataObject * | createPath (const std::string &newPath)=0
virtual DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir)=0
| Create a sub-directory in a directory. More...
Public Member Functions inherited from IDataProviderSvc
| DeclareInterfaceID (IDataProviderSvc, 4, 0)
| InterfaceID. More...
virtual StatusCode | registerObject (boost::string_ref fullPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (boost::string_ref parentPath, boost::string_ref objectPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (boost::string_ref parentPath, int item, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, boost::string_ref objectPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | unregisterObject (boost::string_ref fullPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (boost::string_ref parentPath, boost::string_ref objPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (boost::string_ref parentPath, int item)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pObject)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, boost::string_ref objPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, int item)=0
| Unregister object from the data store. More...
virtual StatusCode | retrieveObject (IRegistry *pDirectory, boost::string_ref path, DataObject *&pObject)=0
| Retrieve object identified by its directory entry. More...
virtual StatusCode | retrieveObject (boost::string_ref fullPath, DataObject *&pObject)=0
| Retrieve object identified by its full path from the data store. More...
virtual StatusCode | retrieveObject (boost::string_ref parentPath, boost::string_ref objectPath, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (boost::string_ref parentPath, int item, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (DataObject *parentObj, boost::string_ref objectPath, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | findObject (IRegistry *pDirectory, boost::string_ref path, DataObject *&pObject)=0
| Find object identified by its directory entry. More...
virtual StatusCode | findObject (boost::string_ref fullPath, DataObject *&pObject)=0
| Find object identified by its full path in the data store. More...
virtual StatusCode | findObject (boost::string_ref parentPath, boost::string_ref objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent. More...
virtual StatusCode | findObject (boost::string_ref parentPath, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store. More...
virtual StatusCode | findObject (DataObject *pNode, boost::string_ref objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent. More...
virtual StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store. More...
virtual StatusCode | updateObject (IRegistry *pDirectory)=0
| Update object identified by its directory entry. More...
virtual StatusCode | updateObject (boost::string_ref fullPath)=0
| Update object identified by its full path in the data store. More...
virtual StatusCode | updateObject (DataObject *toUpdate)=0
| Update object identified by its pointer. More...
virtual StatusCode | updateObject (boost::string_ref parentPath, boost::string_ref updatePath)=0
| Update object identified by its parent's path and the path relative to the parent. More...
virtual StatusCode | updateObject (DataObject *pParent, boost::string_ref updatePath)=0
| Update object identified by its parent's pointer and the path relative to the parent. More...
virtual StatusCode | addPreLoadItem (const DataStoreItem &item)=0
| Add an item to the preload list. More...
virtual StatusCode | addPreLoadItem (std::string itemPath)=0
| Add an item to the preload list. More...
virtual StatusCode | removePreLoadItem (const DataStoreItem &item)=0
| Remove an item from the preload list. More...
virtual StatusCode | removePreLoadItem (std::string itemPath)=0
| Remove an item from the preload list. More...
virtual StatusCode | resetPreLoad ()=0
| Clear the preload list. More...
virtual StatusCode | preLoad ()=0
| Load all preload items of the list. More...
virtual StatusCode | linkObject (IRegistry *from, boost::string_ref objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (boost::string_ref fromPath, boost::string_ref objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (DataObject *fromObj, boost::string_ref objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (boost::string_ref fullPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | unlinkObject (IRegistry *from, boost::string_ref objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (boost::string_ref fromPath, boost::string_ref objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (DataObject *fromObj, boost::string_ref objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (boost::string_ref fullPath)=0
| Remove a link to another object. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IDataProviderSvc
enum | { SEPARATOR = '/' }
enum | Status { IDataProviderSvc_NO_ERROR = 1, DOUBL_OBJ_PATH, INVALID_OBJ_PATH, INVALID_ROOT, INVALID_OBJECT, INVALID_PARENT, OBJ_NOT_LOADED, NO_DATA_LOADER, INVALID_OBJ_ADDR, DIR_NOT_EMPTY, NO_MORE_LEVELS, NO_ACCESS, LAST }
| Status code definitions. More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition of the IHistogramSvc interface class.

Author
  Pavel Binko and Anatael Cabrera

Definition at line 47 of file IHistogramSvc.h.

## Member Function Documentation

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

Book histogram and register it with the histogram data store.

Parameters

  fullPath | Full path to the node of the object. The basename (last part of the fullPath) has to be an integer number (otherwise conversion to HBOOK is not possible)
  dirPath | Path to parent node of the object, the directory the histogram will be stored in.
  pParent | Pointer to parent node
  relPath | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  binsX/Y | Number of bins on the axis X/Y
  lowX/Y | Lower histogram edge on the axis X/Y
  highX/Y | Upper histogram edge on the axis X/Y

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

virtual DataObject* IHistogramSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir
| ) |  |
| pure virtual

Create a sub-directory in a directory.

Parameters

  parentDir | name of the parent directory
  subDir | to identify the histogram object in the store returns pointer to DataObject (NULL on failure)

virtual DataObject* IHistogramSvc::createPath | ( | const std::string & | newPath | ) |
| pure virtual

IHistogramSvc::DeclareInterfaceID | ( | IHistogramSvc | ,
|  | 5 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual AIDA::IHistogramFactory* IHistogramSvc::histogramFactory | ( |  | ) |
| pure virtual

Retrieve the AIDA HistogramFactory interface.

virtual std::ostream& IHistogramSvc::print | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | fullPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj | ) |
| pure virtual

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | const std::string & | objectPath
| ) |  |
| pure virtual

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | int | item
| ) |  |
| pure virtual

virtual std::ostream& IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| pure virtual

Write (ASCII) the histogram table into the output stream.

virtual int IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | const char * | file_name
| ) |  | const
| pure virtual

Write (ASCII) the histogram table into a file.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IHistogramSvc.h